#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
#include <unistd.h>
#include "algrafo.h"

#define LARGURA 500
#define ALTURA 500

double Testes(int n, int testes) {
  int i,cont;
  Graph a;
  int m = (int)((double)n)*(log(n))/2.0;
  for(i=0,cont=0;i<testes;i++) {
    a = GRAPHrand(n,m);
    if(GRAPHconexo(a))
      cont++;
    GRAPHdestroy(a);
    printf("[%05d] acertos de [%05d] tentativas\n",cont,i+1);
    fflush(NULL);

  }
  return ((double)cont)/((double)testes);    
}

int main() {
   int vertices, testes;
   srand(time(NULL));
   printf("Digite a quantidade de vertices: ");
   scanf("%d",&vertices);
   printf("Digite a quantidade de testes a serem feitos: ");
   scanf("%d",&testes);
   Testes(vertices,testes);
   return 0;

}
